import { DynamicModule } from '@nestjs/common';
import { CacheModuleAsyncOptions, CacheModuleOptions } from './cache.interface';
export declare class CacheModule {
    private static instanceCacheModuleOptions;
    private static defaultCacheModuleOptions;
    static register(cacheModuleOption: CacheModuleOptions): DynamicModule;
    static registerAsync(cacheModuleAsyncOption: CacheModuleAsyncOptions): DynamicModule;
    static getInstance(): CacheModuleOptions;
}
