import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { Observable } from 'rxjs';
import { CacheService } from '../cache.interface';
export declare class CacheLruInterceptor implements NestInterceptor {
    private cacheService;
    private cacheModuleOptions;
    constructor(cacheService: CacheService);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
